# NovaLive

This project was generated with [Angular CLI](https://github.com/angular/angular-cli) version 18.0.4.

## Development server

Run `ng serve` for a dev server. Navigate to `http://localhost:4200/`. The application will automatically reload if you change any of the source files.

## Code scaffolding

Run `ng generate component component-name` to generate a new component. You can also use `ng generate directive|pipe|service|class|guard|interface|enum|module`.

## Build

Run `ng build` to build the project. The build artifacts will be stored in the `dist/` directory.

## Running unit tests

Run `ng test` to execute the unit tests via [Karma](https://karma-runner.github.io).

## Running end-to-end tests

Run `ng e2e` to execute the end-to-end tests via a platform of your choice. To use this command, you need to first add a package that implements end-to-end testing capabilities.

## Further help

To get more help on the Angular CLI use `ng help` or go check out the [Angular CLI Overview and Command Reference](https://angular.dev/tools/cli) page.


- 安装配置
``` bash
# 安装
npm install i
```

# 打包发布
- Window安装配置环境变量 obsutil
    - https://support.huaweicloud.com/utiltg-obs/obs_11_0001.html

- 访问地址
    - https://app.fmode.cn/dev/live/live/test

# 开发环境（可公开AKSK）
``` bash
# 打包项目，携带应用前缀（index.html中相对路径将自动修复为/dev/crm前缀）
# live-app 子项目名称
# /dev/ 项目测试版上传路径
# /dev/live nova-crm项目预留路径
ng build live-app --base-href=/dev/live/

# 清空旧文件目录
obsutil rm obs://nova-cloud/dev/live -r -f -i=XSUWJSVMZNHLWFAINRZ1 -k=P4TyfwfDovVNqz08tI1IXoLWXyEOSTKJRVlsGcV6 -e="obs.cn-south-1.myhuaweicloud.com"

# 同步文件目录
obsutil sync ./dist/live-app/browser obs://nova-cloud/dev/live  -i=XSUWJSVMZNHLWFAINRZ1 -k=P4TyfwfDovVNqz08tI1IXoLWXyEOSTKJRVlsGcV6 -e="obs.cn-south-1.myhuaweicloud.com" -acl=public-read

# 复制默认首页至项目路由（解决路径导航到错误页面问题）
# 例如：https://app.fmode.cn/dev/live/live/test 匹配项目路由 /live/test 需要放置一个默认页面
obsutil cp ./dist/live-app/browser/index.html obs://nova-cloud/dev/live/index.html  -i=XSUWJSVMZNHLWFAINRZ1 -k=P4TyfwfDovVNqz08tI1IXoLWXyEOSTKJRVlsGcV6 -e="obs.cn-south-1.myhuaweicloud.com" -acl=public-read

# 授权公开可读
obsutil chattri obs://nova-cloud/dev/live -r -f -i=XSUWJSVMZNHLWFAINRZ1 -k=P4TyfwfDovVNqz08tI1IXoLWXyEOSTKJRVlsGcV6 -e="obs.cn-south-1.myhuaweicloud.com" -acl=public-read
```

# 超级权限（内部机密AKSK）
``` bash
hcloud CDN CreateRefreshTasks/v2 --cli-region="cn-north-1" --refresh_task.urls.1="https://app.fmode.cn/dev/live/" --refresh_task.type="directory" --cli-access-key=2BFF7JWXAIJ0UGNJ0OSB --cli-secret-key=NaPCiJCGmD3nklCzX65s8mSK1Py13ueyhgepa0s1
```